classification
Title: Implement support for validation of pattern matching ASTs
Type: Stage: resolved
Components: Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: 43892 Superseder:
Assigned To: BTaskaya Nosy List: BTaskaya, brandtbucher, miss-islington, ncoghlan, pablogsal
Priority: critical Keywords: patch

Created on 2021-04-20 19:35 by BTaskaya, last changed 2021-07-29 01:03 by brandtbucher. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24771 merged BTaskaya, 2021-04-20 19:36
PR 27074 merged BTaskaya, 2021-07-08 20:59
PR 27432 merged brandtbucher, 2021-07-28 21:52
PR 27435 merged miss-islington, 2021-07-29 00:24
Messages (5)
msg391469 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python committer) Date: 2021-04-20 19:35
ASTs of case clauses for PEP 636 are not validated through PyAST_Validate right now, which might crash the Python interpreter when compiling some trees that doesn't hold the assumptions of the compiler.
msg397231 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-07-10 00:16
New changeset 2f7636887e9f978352aa47b18d5f376263663ba1 by Batuhan Taskaya in branch '3.10':
[3.10] bpo-43897: ast validation for pattern matching nodes (GH-27074)
https://github.com/python/cpython/commit/2f7636887e9f978352aa47b18d5f376263663ba1
msg398402 - (view) Author: Brandt Bucher (brandtbucher) * (Python committer) Date: 2021-07-28 17:14
New changeset 31bec6f1b178dadec3cb43353274b4e958a8f015 by Batuhan Taskaya in branch 'main':
bpo-43897: AST validation for pattern matching nodes (GH24771)
https://github.com/python/cpython/commit/31bec6f1b178dadec3cb43353274b4e958a8f015
msg398446 - (view) Author: Brandt Bucher (brandtbucher) * (Python committer) Date: 2021-07-29 00:24
New changeset 8d0647485db5af2a0f0929d6509479ca45f1281b by Brandt Bucher in branch 'main':
bpo-43897: Reject "_" captures and top-level MatchStar in the AST validator (GH-27432)
https://github.com/python/cpython/commit/8d0647485db5af2a0f0929d6509479ca45f1281b
msg398447 - (view) Author: miss-islington (miss-islington) Date: 2021-07-29 01:02
New changeset 405f5c54914483607194a3ba6d4e50533d92bad1 by Miss Islington (bot) in branch '3.10':
[3.10] bpo-43897: Reject "_" captures and top-level MatchStar in the AST validator (GH-27432) (GH-27435)
https://github.com/python/cpython/commit/405f5c54914483607194a3ba6d4e50533d92bad1
History
Date User Action Args
2021-07-29 01:03:10brandtbuchersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-07-29 01:02:18miss-islingtonsetmessages: + msg398447
2021-07-29 00:24:49brandtbuchersetmessages: + msg398446
2021-07-29 00:24:38miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25964
2021-07-28 21:52:16brandtbuchersetpull_requests: + pull_request25961
2021-07-28 17:14:57brandtbuchersetmessages: + msg398402
2021-07-10 00:16:35pablogsalsetnosy: + pablogsal
messages: + msg397231
2021-07-08 20:59:51BTaskayasetpull_requests: + pull_request25624
2021-04-22 13:37:12ncoghlansetnosy: + ncoghlan
2021-04-22 13:37:04ncoghlansetpriority: normal -> critical
2021-04-20 19:37:28BTaskayasetnosy: + brandtbucher
2021-04-20 19:36:23BTaskayasetkeywords: + patch
stage: patch review
pull_requests: + pull_request24213
2021-04-20 19:35:46BTaskayasetdependencies: + Make match patterns explicit in the AST
2021-04-20 19:35:33BTaskayacreate